Bug 181217 - [maintainer update] x11-fm/doublecmd: update to version 0.5.6, add plugins support
Summary: [maintainer update] x11-fm/doublecmd: update to version 0.5.6, add plugins su...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-10 17:50 UTC by Beñat Gonzalez Etxepare
Modified: 2013-10-02 04:30 UTC (History)
0 users

See Also:


Attachments
file.txt (16.09 KB, text/plain)
2013-08-10 17:50 UTC, Beñat Gonzalez Etxepare
no flags Details
doublecmd_0.5.7.patch (16.28 KB, patch)
2013-09-23 21:33 UTC, Beñat Gonzalez Etxepare
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Beñat Gonzalez Etxepare 2013-08-10 17:50:00 UTC
Changes:
- Update to version 0.5.6
- Add plugins support


New files:
- files/patch-plugins__wlx__WlxMplayer__src__wlxMplayer.lpr

Deleted files:
- files/patch-components__doublecmd__dcosutils.pas
- files/patch-src__ucmdlineparams.pas


Patch tested in RedPorts (rev. 15458):
http://redports.org/buildarchive/20130810151614-64480/
(error in 9.1/i386 because of dependency)

Fix: Patch attached with submission follows:
Comment 1 Veniamin Gvozdikov freebsd_committer 2013-08-12 09:34:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vg

I will take it.
Comment 2 Beñat Gonzalez Etxepare 2013-09-23 21:33:06 UTC
Hi,

I have updated the patch to latest release version of Double Commander (v0.5.7). Commit this instead of the previous one.

Same file changes apply.

Tested in RedPorts (rev 17223):
https://redports.org/buildarchive/20130923170543-68635


Thanks!
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2013-10-02 03:56:55 UTC
Responsible Changed
From-To: vg->acm

- Take it
Comment 4 dfilter service freebsd_committer 2013-10-02 04:24:35 UTC
Author: acm
Date: Wed Oct  2 03:24:25 2013
New Revision: 329014
URL: http://svnweb.freebsd.org/changeset/ports/329014

Log:
  - Update to 0.5.7
  - Add plugins suppport
  
  PR:		ports/181217
  Submitted by:	Benat Gonzalez Etxepare <bbtruk __ at __ users.sourceforge.net>

Added:
  head/x11-fm/doublecmd/files/patch-plugins__wlx__WlxMplayer__src__wlxMplayer.lpr   (contents, props changed)
Deleted:
  head/x11-fm/doublecmd/files/patch-components__doublecmd__dcosutils.pas
  head/x11-fm/doublecmd/files/patch-src__ucmdlineparams.pas
Modified:
  head/x11-fm/doublecmd/Makefile
  head/x11-fm/doublecmd/distinfo
  head/x11-fm/doublecmd/files/pkg-message.in

Modified: head/x11-fm/doublecmd/Makefile
==============================================================================
--- head/x11-fm/doublecmd/Makefile	Wed Oct  2 02:47:53 2013	(r329013)
+++ head/x11-fm/doublecmd/Makefile	Wed Oct  2 03:24:25 2013	(r329014)
@@ -2,13 +2,12 @@
 # $FreeBSD$
 
 PORTNAME=	doublecmd
-PORTVERSION=	0.5.5
-PORTREVISION=	1
+PORTVERSION=	0.5.7
 CATEGORIES=	x11-fm
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}/Double%20Commander%20Source
 DISTNAME=	${PORTNAME}-${PORTVERSION}-src
-DISTFILES=	${PORTNAME}-${PORTVERSION}-src.tar.gz ${PORTNAME}-help-${PORTVERSION}-src.tar.gz
+DISTFILES=	${PORTNAME}-${PORTVERSION}-src.tar.gz ${PORTNAME}-help-${HELPVERSION}-src.tar.gz
 
 MAINTAINER=	bbtruk@users.sourceforge.net
 COMMENT=	Total Commander like file manager for the X Window System
@@ -34,14 +33,46 @@ PROJECT_FILE=	src/doublecmd.lpi
 LAZBUILD_CMD=	${LOCALBASE}/bin/lazbuild -d
 LAZARUS_DIR=	${LOCALBASE}/share/lazarus
 
+HELPVERSION=	0.5.5
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
-DOCSRC=		${WRKDIR}/${PORTNAME}-help-${PORTVERSION}
+DOCSRC=		${WRKDIR}/${PORTNAME}-help-${HELPVERSION}
 
 OPTIONS_DEFINE=		DOCS DEBUG
 OPTIONS_SINGLE=		LCL
 OPTIONS_SINGLE_LCL=	GTK2 QT4
-
-OPTIONS_DEFAULT=	GTK2
+OPTIONS_GROUP=		WCX WDX WFX WLX DSX
+WCX_DESC=	Packer plugins
+WDX_DESC=	Content plugins
+WFX_DESC=	File sytem plugins
+WLX_DESC=	Lister plugins
+DSX_DESC=	Search plugins
+OPTIONS_GROUP_WCX=	WCX_CPIO \
+			WCX_DEB \
+			WCX_LZMA \
+			WCX_RPM \
+			WCX_UNRAR \
+			WCX_ZIP
+OPTIONS_GROUP_WDX=	WDX_RPM \
+			WDX_DEB \
+			WDX_SVN \
+			WDX_XPI \
+			WDX_SCRIPTS
+OPTIONS_GROUP_WFX=	WFX_FTP \
+			WFX_SAMBA
+OPTIONS_GROUP_WLX=	WLX_MPLAYER
+OPTIONS_GROUP_DSX=	DSX_LOCATE
+
+OPTIONS_DEFAULT=	GTK2 \
+			WCX_CPIO \
+			WCX_DEB \
+			WCX_LZMA \
+			WCX_RPM \
+			WDX_RPM \
+			WDX_DEB \
+			WDX_SVN \
+			WDX_SCRIPTS \
+			WDX_XPI \
+			DSX_LOCATE
 
 NO_STAGE=	yes
 .include <bsd.port.pre.mk>
@@ -59,6 +90,18 @@ LCL_PLATFORM=	qt
 BUILD_DEPENDS+=	${LOCALBASE}/share/lazarus/lcl/units/${BUILDNAME}/${LCL_PLATFORM}/interfaces.ppu:${PORTSDIR}/editors/lazarus-lcl-qt
 .endif
 
+.if ${PORT_OPTIONS:MWCX_UNRAR}
+LIB_DEPENDS+=	unrar:${PORTSDIR}/archivers/libunrar
+.endif
+
+.if ${PORT_OPTIONS:MWFX_SAMBA}
+LIB_DEPENDS+=	smbclient:${PORTSDIR}/net/samba-libsmbclient
+.endif
+
+.if ${PORT_OPTIONS:MWLX_MPLAYER}
+RUN_DEPENDS+=	mplayer:${PORTSDIR}/multimedia/mplayer
+.endif
+
 .if ${PORT_OPTIONS:MDEBUG}
 BUILD_MODE=	Debug
 .else
@@ -72,6 +115,8 @@ pre-patch:
 post-patch:
 	@${REINPLACE_CMD} -e 's|%%DOCSDIR%%|${DOCSDIR}|g' -e 's|%%DATADIR%%|${DATADIR}|g' \
 		${WRKSRC}/src/uGlobsPaths.pas
+	@${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
+		${WRKSRC}/plugins/wlx/WlxMplayer/src/wlxMplayer.lpr
 
 do-build:
 .for FILE in chsdet/chsdet.lpk CmdLine/cmdbox.lpk dcpcrypt/dcpcrypt.lpk \
@@ -82,6 +127,67 @@ do-build:
 		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "${FILE}"
 .endfor
 
+.if ${PORT_OPTIONS:MWCX_CPIO}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wcx/cpio/src/cpio.lpi"
+.endif
+.if ${PORT_OPTIONS:MWCX_DEB}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wcx/deb/src/deb.lpi"
+.endif
+.if ${PORT_OPTIONS:MWCX_LZMA}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wcx/lzma/src/lzma.lpi"
+.endif
+.if ${PORT_OPTIONS:MWCX_RPM}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wcx/rpm/src/rpm.lpi"
+.endif
+.if ${PORT_OPTIONS:MWCX_UNRAR}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wcx/unrar/src/unrar.lpi"
+.endif
+.if ${PORT_OPTIONS:MWCX_ZIP}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wcx/zip/src/Zip.lpi"
+.endif
+
+.if ${PORT_OPTIONS:MWDX_RPM}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wdx/rpm_wdx/src/rpm_wdx.lpi"
+.endif
+.if ${PORT_OPTIONS:MWDX_DEB}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wdx/deb_wdx/src/deb_wdx.lpi"
+.endif
+.if ${PORT_OPTIONS:MWDX_SVN}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wdx/svn_wdx/src/svn_wdx.lpi"
+.endif
+.if ${PORT_OPTIONS:MWDX_XPI}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wdx/xpi_wdx/src/xpi_wdx.lpi"
+.endif
+
+.if ${PORT_OPTIONS:MWFX_FTP}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wfx/ftp/src/ftp.lpi"
+.endif
+.if ${PORT_OPTIONS:MWFX_SAMBA}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wfx/samba/src/samba.lpi"
+.endif
+
+.if ${PORT_OPTIONS:MWLX_MPLAYER}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "wlx/WlxMplayer/src/wlxMplayer.lpi"
+.endif
+
+.if ${PORT_OPTIONS:MDSX_LOCATE}
+	@cd ${WRKSRC}/plugins && \
+		${LAZBUILD_CMD} --lazarusdir=${LAZARUS_DIR} --ws=${LCL_PLATFORM} "dsx/DSXLocate/src/DSXLocate.lpi"
+.endif
+
 	@cd ${WRKSRC} && \
 		${LAZBUILD_CMD} --ws=${LCL_PLATFORM} --bm="${BUILD_MODE}" --lazarusdir=${LAZARUS_DIR} ${PROJECT_FILE}
 
@@ -91,9 +197,84 @@ post-build:
 pre-install:
 	@${RM} -f ${PLIST}
 
+.if ${PORT_OPTIONS:MWCX_CPIO}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wcx/cpio/cpio.wcx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wcx/cpio" >> ${PLIST}
+.endif
+.if ${PORT_OPTIONS:MWCX_DEB}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wcx/deb/deb.wcx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wcx/deb" >> ${PLIST}
+.endif
+.if ${PORT_OPTIONS:MWCX_LZMA}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wcx/lzma/lzma.wcx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wcx/lzma" >> ${PLIST}
+.endif
+.if ${PORT_OPTIONS:MWCX_RPM}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wcx/rpm/rpm.wcx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wcx/rpm" >> ${PLIST}
+.endif
+.if ${PORT_OPTIONS:MWCX_UNRAR}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wcx/unrar/unrar.wcx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wcx/unrar" >> ${PLIST}
+.endif
+.if ${PORT_OPTIONS:MWCX_ZIP}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wcx/zip/zip.wcx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wcx/zip" >> ${PLIST}
+.endif
+
+.if ${PORT_OPTIONS:MWDX_RPM}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wdx/rpm_wdx/rpm_wdx.wdx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wdx/rpm_wdx" >> ${PLIST}
+.endif
+.if ${PORT_OPTIONS:MWDX_DEB}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wdx/deb_wdx/deb_wdx.wdx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wdx/deb_wdx" >> ${PLIST}
+.endif
+.if ${PORT_OPTIONS:MWDX_SVN}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wdx/svn_wdx/svn_wdx.wdx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wdx/svn_wdx" >> ${PLIST}
+.endif
+.if ${PORT_OPTIONS:MWDX_XPI}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wdx/xpi_wdx/xpi_wdx.wdx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wdx/xpi_wdx" >> ${PLIST}
+.endif
+.if ${PORT_OPTIONS:MWDX_SCRIPTS}
+	@cd ${WRKSRC}/plugins/wdx/scripts && \
+		${FIND} * -type f | ${SORT} | ${SED} -e 's|^|%%DATADIR%%/plugins/wdx/scripts/|' >> ${PLIST} && \
+			${FIND} * -type d | ${SORT} -r | ${SED} -e 's|^|@dirrm %%DATADIR%%/plugins/wdx/scripts/|' >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wdx/scripts" >> ${PLIST}
+.endif
+
+.if ${PORT_OPTIONS:MWFX_FTP}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wfx/ftp/ftp.wfx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wfx/ftp" >> ${PLIST}
+.endif
+.if ${PORT_OPTIONS:MWFX_SAMBA}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wfx/samba/samba.wfx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wfx/samba" >> ${PLIST}
+.endif
+
+.if ${PORT_OPTIONS:MWLX_MPLAYER}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/wlx/wlxmplayer/wlxmplayer.wlx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wlx/wlxmplayer" >> ${PLIST}
+.endif
+
+.if ${PORT_OPTIONS:MDSX_LOCATE}
+	@${ECHO_CMD} "%%DATADIR%%/plugins/dsx/dsxlocate/dsxlocate.dsx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/dsx/dsxlocate" >> ${PLIST}
+.endif
+
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wcx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wdx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wfx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/wlx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins/dsx" >> ${PLIST}
+	@${ECHO_CMD} "@dirrm %%DATADIR%%/plugins" >> ${PLIST}
+
 .for FILE in %%DATADIR%%/doublecmd.ext.example %%DATADIR%%/pixmaps.txt \
 	%%DATADIR%%/multiarc.ini bin/doublecmd share/applications/doublecmd.desktop \
-	share/pixmaps/doublecmd.png share/pixmaps/doublecmd.xpm
+	share/pixmaps/doublecmd.png share/pixmaps/doublecmd.xpm \
+	%%DATADIR%%/doublecmd.xml
 	@${ECHO_CMD} ${FILE} >> ${PLIST}
 .endfor
 
@@ -117,6 +298,77 @@ pre-install:
 	@${ECHO_CMD} "@dirrmtry share/applications" >> ${PLIST}
 
 do-install:
+	@${MKDIR} ${DATADIR}/plugins
+	@${MKDIR} ${DATADIR}/plugins/wcx
+	@${MKDIR} ${DATADIR}/plugins/wdx
+	@${MKDIR} ${DATADIR}/plugins/wfx
+	@${MKDIR} ${DATADIR}/plugins/wlx
+	@${MKDIR} ${DATADIR}/plugins/dsx
+.if ${PORT_OPTIONS:MWCX_CPIO}
+	@${MKDIR} ${DATADIR}/plugins/wcx/cpio
+	${INSTALL_LIB} ${WRKSRC}/plugins/wcx/cpio/lib/cpio.wcx ${DATADIR}/plugins/wcx/cpio/
+.endif
+.if ${PORT_OPTIONS:MWCX_DEB}
+	@${MKDIR} ${DATADIR}/plugins/wcx/deb
+	${INSTALL_LIB} ${WRKSRC}/plugins/wcx/deb/lib/deb.wcx ${DATADIR}/plugins/wcx/deb/
+.endif
+.if ${PORT_OPTIONS:MWCX_LZMA}
+	@${MKDIR} ${DATADIR}/plugins/wcx/lzma/
+	${INSTALL_LIB} ${WRKSRC}/plugins/wcx/lzma/lib/lzma.wcx ${DATADIR}/plugins/wcx/lzma/
+.endif
+.if ${PORT_OPTIONS:MWCX_RPM}
+	@${MKDIR} ${DATADIR}/plugins/wcx/rpm/
+	${INSTALL_LIB} ${WRKSRC}/plugins/wcx/rpm/lib/rpm.wcx ${DATADIR}/plugins/wcx/rpm/
+.endif
+.if ${PORT_OPTIONS:MWCX_UNRAR}
+	@${MKDIR} ${DATADIR}/plugins/wcx/unrar/
+	${INSTALL_LIB} ${WRKSRC}/plugins/wcx/unrar/lib/unrar.wcx ${DATADIR}/plugins/wcx/unrar/
+.endif
+.if ${PORT_OPTIONS:MWCX_ZIP}
+	@${MKDIR} ${DATADIR}/plugins/wcx/zip/
+	${INSTALL_LIB} ${WRKSRC}/plugins/wcx/zip/lib/zip.wcx ${DATADIR}/plugins/wcx/zip/
+.endif
+
+.if ${PORT_OPTIONS:MWDX_RPM}
+	@${MKDIR} ${DATADIR}/plugins/wdx/rpm_wdx/
+	${INSTALL_LIB} ${WRKSRC}/plugins/wdx/rpm_wdx/lib/rpm_wdx.wdx ${DATADIR}/plugins/wdx/rpm_wdx/
+.endif
+.if ${PORT_OPTIONS:MWDX_DEB}
+	@${MKDIR} ${DATADIR}/plugins/wdx/deb_wdx/
+	${INSTALL_LIB} ${WRKSRC}/plugins/wdx/deb_wdx/lib/deb_wdx.wdx ${DATADIR}/plugins/wdx/deb_wdx/
+.endif
+.if ${PORT_OPTIONS:MWDX_SVN}
+	@${MKDIR} ${DATADIR}/plugins/wdx/svn_wdx/
+	${INSTALL_LIB} ${WRKSRC}/plugins/wdx/svn_wdx/lib/svn_wdx.wdx ${DATADIR}/plugins/wdx/svn_wdx/
+.endif
+.if ${PORT_OPTIONS:MWDX_XPI}
+	@${MKDIR} ${DATADIR}/plugins/wdx/xpi_wdx/
+	${INSTALL_LIB} ${WRKSRC}/plugins/wdx/xpi_wdx/lib/xpi_wdx.wdx ${DATADIR}/plugins/wdx/xpi_wdx/
+.endif
+.if ${PORT_OPTIONS:MWDX_SCRIPTS}
+	@${MKDIR} ${DATADIR}/plugins/wdx/scripts/
+	${INSTALL_DATA} ${WRKSRC}/plugins/wdx/scripts/* ${DATADIR}/plugins/wdx/scripts/
+.endif
+
+.if ${PORT_OPTIONS:MWFX_FTP}
+	@${MKDIR} ${DATADIR}/plugins/wfx/ftp/
+	${INSTALL_LIB} ${WRKSRC}/plugins/wfx/ftp/lib/ftp.wfx ${DATADIR}/plugins/wfx/ftp/
+.endif
+.if ${PORT_OPTIONS:MWFX_SAMBA}
+	@${MKDIR} ${DATADIR}/plugins/wfx/samba/
+	${INSTALL_LIB} ${WRKSRC}/plugins/wfx/samba/lib/samba.wfx ${DATADIR}/plugins/wfx/samba/
+.endif
+
+.if ${PORT_OPTIONS:MWLX_MPLAYER}
+	@${MKDIR} ${DATADIR}/plugins/wlx/wlxmplayer/
+	${INSTALL_LIB} ${WRKSRC}/plugins/wlx/WlxMplayer/lib/wlxmplayer.wlx ${DATADIR}/plugins/wlx/wlxmplayer/
+.endif
+
+.if ${PORT_OPTIONS:MDSX_LOCATE}
+	@${MKDIR} ${DATADIR}/plugins/dsx/dsxlocate/
+	${INSTALL_LIB} ${WRKSRC}/plugins/dsx/DSXLocate/lib/dsxlocate.dsx ${DATADIR}/plugins/dsx/dsxlocate/
+.endif
+
 .for DIRE in language pixmaps sdk
 	@${MKDIR} ${DATADIR}/${DIRE}
 	@cd ${WRKSRC}/${DIRE} && \
@@ -124,7 +376,7 @@ do-install:
 			${FIND} * -type f -exec ${INSTALL_DATA} "{}" "${DATADIR}/${DIRE}/{}" \;
 .endfor
 
-.for FILE in doublecmd.ext.example pixmaps.txt multiarc.ini
+.for FILE in doublecmd.ext.example pixmaps.txt multiarc.ini install/linux/doublecmd.xml
 	${INSTALL_DATA} ${WRKSRC}/${FILE} ${DATADIR}
 .endfor
 

Modified: head/x11-fm/doublecmd/distinfo
==============================================================================
--- head/x11-fm/doublecmd/distinfo	Wed Oct  2 02:47:53 2013	(r329013)
+++ head/x11-fm/doublecmd/distinfo	Wed Oct  2 03:24:25 2013	(r329014)
@@ -1,4 +1,4 @@
-SHA256 (doublecmd-0.5.5-src.tar.gz) = 253ec036ec119c067f501247445acdd35d67ffd9693d246dc4e98897c6df6434
-SIZE (doublecmd-0.5.5-src.tar.gz) = 4401472
+SHA256 (doublecmd-0.5.7-src.tar.gz) = 8e2059f986fff26da5d7b98af95be64b12c5cef6b50fe3cacd9a2805947aa343
+SIZE (doublecmd-0.5.7-src.tar.gz) = 4456886
 SHA256 (doublecmd-help-0.5.5-src.tar.gz) = 5c5d00187df811df0734bf751a581bce7e1bdd4cf4639b2a1101f1da8743daaf
 SIZE (doublecmd-help-0.5.5-src.tar.gz) = 10762769

Added: head/x11-fm/doublecmd/files/patch-plugins__wlx__WlxMplayer__src__wlxMplayer.lpr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-fm/doublecmd/files/patch-plugins__wlx__WlxMplayer__src__wlxMplayer.lpr	Wed Oct  2 03:24:25 2013	(r329014)
@@ -0,0 +1,11 @@
+--- ./plugins/wlx/WlxMplayer/src/wlxMplayer.lpr.orig	2013-03-10 11:26:35.000000000 +0100
++++ ./plugins/wlx/WlxMplayer/src/wlxMplayer.lpr	2013-07-22 22:43:52.577214000 +0200
+@@ -258,7 +258,7 @@
+   sPlayerPath: String;
+   p: TMPlayer;
+ begin
+-  pf:= TExProcess.Create('which mplayer');
++  pf:= TExProcess.Create('%%LOCALBASE%%/bin/mplayer');
+   try
+     pf.Execute;
+     if (pf.RezList.Count <> 0) then

Modified: head/x11-fm/doublecmd/files/pkg-message.in
==============================================================================
--- head/x11-fm/doublecmd/files/pkg-message.in	Wed Oct  2 02:47:53 2013	(r329013)
+++ head/x11-fm/doublecmd/files/pkg-message.in	Wed Oct  2 03:24:25 2013	(r329014)
@@ -8,10 +8,6 @@ Double Commander was installed
 
    # doublecmd
 
-3) Plugins are currently not available for FreeBSD. For more information see:
-   http://doublecmd.sourceforge.net/mediawiki/index.php/Issues_with_FPC,_Lazarus
-   in "Loading shared libraries on FreeBSD doesn't work" section
-
-4) Enjoy it ;)
+3) Enjoy it ;)
 
 ############################################################################### 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jose Alonso Cardenas Marquez freebsd_committer 2013-10-02 04:24:45 UTC
State Changed
From-To: open->closed

- Committed with few modifications, thanks!!